﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VisibleRangeNumericalAxis
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xAxis_ActualRangeChanged(object sender, Syncfusion.UI.Xaml.Charts.ActualRangeChangedEventArgs e)
        {
            yStart.Text = chart.SecondaryAxis.VisibleRange.Start.ToString();
            yEnd.Text = chart.SecondaryAxis.VisibleRange.End.ToString();
        }

        private void yAxis_ActualRangeChanged(object sender, Syncfusion.UI.Xaml.Charts.ActualRangeChangedEventArgs e)
        {
            xStart.Text = chart.PrimaryAxis.VisibleRange.Start.ToString();
            xEnd.Text = chart.PrimaryAxis.VisibleRange.End.ToString();
        }
    }
}
